%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:             rtl-sdr
URL:              http://sdr.osmocom.org/trac/wiki/rtl-sdr
Version:          0.6.0
Release:          %mkrel 3
License:          GPLv2+
Group:            Communications/Radio
Summary:          SDR utilities for Realtek RTL2832 based DVB-T dongles
Source0:          https://github.com/osmocom/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:    cmake
BuildRequires:    pkgconfig(libusb)
Requires(pre):    shadow-utils

%description
This package can turn your RTL2832 based DVB-T dongle into an SDR receiver.

%package -n %{libname}
Summary:          Library files for rtl-sdr
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for rtl-sdr.

%package -n %{devname}
Summary:          Development files for rtl-sdr
Group:            System/Libraries
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for rtl-sdr.

%prep
%autosetup -p1

rm -rf src/getopt

%build
%cmake -DDETACH_KERNEL_DRIVER=ON
%cmake_build

%install
%cmake_install

# remove static libs
rm -f %{buildroot}%{_libdir}/*.a

# Fix udev rules and allow access only to users in rtlsdr group
sed -i 's/MODE:="0666"/MODE:="0660", ENV{ID_SOFTWARE_RADIO}="1"/' rtl-sdr.rules
install -Dpm 644 rtl-sdr.rules %{buildroot}%{_udevrulesdir}/10-rtl-sdr.rules

# Fix Version string in librtlsdr.pc
sed -i '/Version/c Version: %{version}' %{buildroot}%{_libdir}/pkgconfig/librtlsdr.pc

%files
%doc AUTHORS
%{_bindir}/*
%{_udevrulesdir}/10-rtl-sdr.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/librtlsdr.pc


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1826440
- Mageia 9 Mass Rebuild

* Tue Feb 25 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1550456
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Mar 04 2019 barjac <barjac> 0.6.0-1.mga7
+ Revision: 1371411
- new version 0.6.0
- fix Source0
- tidy spec

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1300864
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 barjac <barjac> 0.5.4-1.mga7
+ Revision: 1235838
- new version 0.5.4

* Fri Oct 27 2017 barjac <barjac> 0.5.3-4.mga7
+ Revision: 1173881
- fix bad librtlsdr.pc from upstream
- that breaks pkgconfig provide
- update some rpm macros in spec

* Thu Oct 26 2017 barjac <barjac> 0.5.3-3.mga7
+ Revision: 1173786
- patch to git master upstream
- fixes build of gr-osmosdr

* Tue Feb 09 2016 umeabot <umeabot> 0.5.3-2.mga6
+ Revision: 952139
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 barjac <barjac> 0.5.3-1.mga5
+ Revision: 810950
- adapt for mageia
- Import package rtl-sdr from Fedora with thanks


* Fri Aug 29 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.5.3-3
- Migrated udev rule to dynamic ACL management
- Fixed udev rule location
- Group rtlsdr is no more used / created

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul  1 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.5.3-1
- New version
  Resolves: rhbz#1114342
- Dropped rtl-sdr-0-lib64-fix patch (upstreamed)
- Enabled detaching of kernel driver

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20130403git4a068f56
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20130403git4a068f56
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr  7 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20130403git4a068f56
- Preserve timestamp of 10-rtl-sdr.rules during install
- Added isa to devel subpackage requirement
- Removed bundled getopt

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20130403git4a068f56
- Initial version
